summaryrefslogtreecommitdiff
path: root/build-support/disabled/rust140/watcher.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2022-06-02 07:54:04 +0200
committerAndreas Baumann <mail@andreasbaumann.cc>2022-06-02 07:54:04 +0200
commit7227ad6abbf0ba9a67c385b1b5eb97acb746e245 (patch)
tree70fe660219bbfabbb4b38639265610a21ee74df1 /build-support/disabled/rust140/watcher.sh
parent295c4cf1791566c15efb2f864724ef42cc4100ea (diff)
downloadpackages-7227ad6abbf0ba9a67c385b1b5eb97acb746e245.tar.xz
moved around some rust bootstrapping packages to disabled
Diffstat (limited to 'build-support/disabled/rust140/watcher.sh')
-rwxr-xr-xbuild-support/disabled/rust140/watcher.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/build-support/disabled/rust140/watcher.sh b/build-support/disabled/rust140/watcher.sh
new file mode 100755
index 00000000..98228b5d
--- /dev/null
+++ b/build-support/disabled/rust140/watcher.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+term() {
+ echo "--> Got SIGTERM"
+ echo "--> killing inotifywait with PID $inotifywait"
+ kill -TERM "$inotifywait"
+ sleep 10
+ kill -9 "$inotifywait"
+}
+
+srcdir="$1"
+
+trap term SIGTERM
+
+inotifywait -mr -e close_write --format %w%f $srcdir | while read -r FILE; do
+ case "$FILE" in
+ *consts.rs)
+ echo "--> patching $FILE"
+ sed -i '/pub type U1024/d;/pub type P1024/d' $FILE
+ echo "--> finished patching $FILE"
+ ;;
+ esac
+done &
+inotifywait=$(ps -ef | grep inotifywait | grep -v grep | tr -s ' ' | cut -d ' ' -f2)
+echo "--> waiting for inotifywait $inotifywait"
+wait "$inotifywait"
+echo "--> watcher terminated"